Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2020-02209, UID# 2754
App. Status: Expired

Valid: 01/31/2020 - 02/03/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2469 (01/27/2020)

Charge Cost Quantity Total
Non-Taxable
added 01/28/2020 4:14 AM

Base fee for drilling rigs and workover rigs. Select additional fees from the schedule based on vehicle size and weight.

$500.00 x 1 $500.00
added 01/28/2020 4:14 AM

Fee for 65,000 road

$90.00 x 1 $90.00
added 01/28/2020 4:14 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $620.00
Payment 01/28/2020$620.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 01/27/2020 7:22 PM
2cb25822df8b186a7907fdb50d0021e1
76e727499b7bae6d87f4e727f60f1026
 
#1 Permit Issuing OfficialKen Miller - 01/28/2020 4:15 AM
7da06a5868950ba6b1a392b69ac191ff
30e8d9944cb8a67b7e7b09b05d4f4666
 
Permit has been approved. All signatures have been obtained.